<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'detail';
$subbox = array(
        "module" => 'equipment',
        "sub" => $sub
);

if (!defined('REWRITE')) {
    $_CUR = 'equipment';
    require (dirname(__FILE__) . '/include/init.php');
}
$smarty->assign('cur', $_CUR);
$smarty->assign('url', $_URL = $dou->dou_sub_url($subbox));

// rec操作项的初始化
if (isset($_REQUEST['rec'])) {
    $rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : $dou->dou_msg('page_wrong', HOME_URL);
} else {
    $rec = $_REQUEST['id'] ? 'detail' : 'default';
}

// 赋值给模板-meta和title信息
$smarty->assign('keywords', $_CFG['site_keywords']);
$smarty->assign('description', $_CFG['site_description']);

// 赋值给模板-导航栏
$smarty->assign('nav_top_list', $dou->get_nav('top'));
$smarty->assign('nav_middle_list', $dou->get_nav('middle', 0, 'equipment', 0));
$smarty->assign('nav_bottom_list', $dou->get_nav('bottom'));

// 赋值给模板-数据
$smarty->assign('rec', $rec);

/**
 * +----------------------------------------------------------
 * 生产设备列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 生产设备分组
    if (isset($_REQUEST['class'])) {
        $class = !$check->is_illegal_char($_REQUEST['class']) ? trim($_REQUEST['class']) : $dou->dou_msg($GLOBALS['_LANG']['illegal'], ROOT_URL);
     
        if ($class) {
            $where = " WHERE class = '$class'";
            $get = "?class=$class";
        }
    }
 
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('equipment') . $where . " ORDER BY sort ASC, id DESC";

    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, ($_DISPLAY['equipment'] ? $_DISPLAY['equipment'] : 12), $page, $dou->rewrite_url('equipment'), $get);

    /* 获取生产设备列表 */
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        // 多语言
        $row = $dou->lang_box($row, 'equipment', 'name, content, description');
        
        // 如果描述不存在则自动从详细设备中截取
        $description = $row['description'] ? $row['description'] : $dou->dou_substr($row['content'], 200, false);

        $equipment_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "image" => $dou->dou_file($row['image']),
                "description" => $description,
                "url" => $dou->param($_URL['info'] . '&id=' . $row['id'])
        );
    }
 
    // 赋值给模板-数据
    $smarty->assign('page_title', $dou->page_title('equipment'));
    $smarty->assign('ur_here', $dou->ur_here('equipment'));
    $smarty->assign('equipment_list', $equipment_list);
    $smarty->assign('class', $class);
    $smarty->assign('screen', $screen = $dou->get_no_repeat_value('equipment', 'class', $class));

    $smarty->display('equipment.dwt');
}

/**
 * +----------------------------------------------------------
 * 生产设备简介
 * +----------------------------------------------------------
 */
if ($rec == 'detail') {
    // 获取ID
    $id = $check->is_number($_REQUEST['id']) ? trim($_REQUEST['id']) : '';
    
    /* 获取详细信息 */
    $equipment = $dou->get_row('equipment', '*', "id = '$id'");
    if (!$equipment) $dou->dou_msg('page_wrong', HOME_URL);
 
    // 格式化数据
    $equipment['image'] = $dou->dou_file($equipment['image']);

    // 多语言
    $equipment = $dou->lang_box($equipment, 'equipment', 'name, content, keywords, description');

    // 访问统计
    $click = $equipment['click'] + 1;
    $dou->query("update " . $dou->table('equipment') . " SET click = '$click' WHERE id = '$id'");

    // 赋值给模板-数据
    $smarty->assign('page_title', $dou->page_title('equipment', 'equipment_info'));
    $smarty->assign('ur_here', $dou->ur_here('equipment', 'equipment_info'));
    $smarty->assign('equipment', $equipment);

    $smarty->display('equipment.dwt');
}
?>